=== debian/changelog ===
kivy (1.7.2-1) unstable; urgency=low

  * Initial release (Closes: #725163)

 -- Bastian Venthur <venthur@debian.org>  Wed, 02 Oct 2013 09:21:46 +0200
