## kivy 1.8.0+dfsg

=== debian/changelog ===
kivy (1.8.0+dfsg-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fixing FTBFS against cythoin 0.21.1 by cherry-picking upstream fix
    debian/patches/0001-Fix-cython-python-temp-coercion-exception.patch
    (Closes: #768828)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 09 Nov 2014 10:11:22 -0500

kivy (1.8.0+dfsg-2) unstable; urgency=medium

  * Provide python3-kivy package. The patch for that was provided by Vincent
    Cheng, thank you Vincent! (Closes: #740304)
  * Bumped standards version (no changes).

 -- Bastian Venthur <venthur@debian.org>  Fri, 28 Feb 2014 09:25:51 +0100

kivy (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #737351)
  * Removed patch for Makefile which prevented `git cleanup` to remove the
    debian subdirectory. The patch was applied upstream
  * Fix "[src:kivy] Sourceless file" replaced file with concatenation of
    jquery.effects.core and -slide (Closes: #736734)
  * Fix "kivy is MIT, not LGPL" fixed wording in debian/control (Closes:
    #739036)
  * Fix "kivy-examples: Examples shoule be installed in /usr/share/kivy-
    examples, NOT 'kivi-examples'" (Closes: #735374)

 -- Bastian Venthur <venthur@debian.org>  Wed, 26 Feb 2014 17:31:34 +0100
