=== debian/control ===
--- 
+++ 
@@ -4,22 +4,41 @@
 Maintainer: Bastian Venthur <venthur@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
     python (>= 2.7), python-all-dev (>= 2.7),
-    cython,
-    libgl1-mesa-dev, libgles2-mesa-dev
-Standards-Version: 3.9.4
+    cython, cython3,
+    libgl1-mesa-dev, libgles2-mesa-dev,
+    python3-all-dev, dh-python
+Standards-Version: 3.9.5
 Homepage: http://kivy.org
 Vcs-Git: http://github.com/kivy/kivy.git
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 
 Package: python-kivy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
     python-pygame,
     python-gst0.10
-Description: Kivy - Multimedia / Multitouch framework in Python
+Description: Kivy - Multimedia / Multitouch framework in Python (Python 2)
  Kivy is an open source library for developing multi-touch applications. It is
  completely cross platform (Linux/OSX/Win/Android) and released under the terms
- of the GNU LGPL V3.
+ of the MIT license.
+ .
+ It comes with native support for many multi-touch input devices, a growing
+ library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
+ an architecture that is designed to let you focus on building custom and highly
+ interactive applications as quickly and easily as possible.
+ .
+ Kivy is a mixed Python library with Cython code, to take advantage of its
+ highly dynamic nature and use any of the thousands of high quality and open
+ source python libraries out there, with the speed of C code.
+
+Package: python3-kivy
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: Kivy - Multimedia / Multitouch framework in Python (Python 3)
+ Kivy is an open source library for developing multi-touch applications. It is
+ completely cross platform (Linux/OSX/Win/Android) and released under the terms
+ of the MIT license.
  .
  It comes with native support for many multi-touch input devices, a growing
  library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
