=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,10 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+export PYBUILD_DESTDIR=debian/tmp
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	echo "Tests are currently disabled in debian/rules."
-
-override_dh_auto_install:
-	python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb --prefix=/usr --no-compile
-
