=== debian/changelog ===
kivy (1.9.0-3build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:41:40 +0000

kivy (1.9.0-3) unstable; urgency=medium

  * Add debian/patches/cython_0.23_support.patch to fix FTBFS with cython 0.23
  * Remove alternate build-deps for gstreamer 0.10. (Closes: #799725)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 21 Sep 2015 19:49:58 -0700

kivy (1.9.0-2) unstable; urgency=medium

  * Add debian/patches/cython_0.22_support.patch to fix FTBFS with cython 0.22
    (Closes: #790092)
  * Depend on python-gst-1.0 and python3-gst-1.0 for python-kivy, python3-kivy
    respectively; build-depends on libgstreamer1.0-dev. (Closes: #785919)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 28 Jun 2015 20:02:28 -0700

kivy (1.9.0-1) unstable; urgency=medium

  * Transfer maintainership of kivy to the Debian Python Modules Team; see
    https://lists.debian.org/debian-python/2014/11/msg00013.html
    - Add myself and Bastian to Uploaders.
  * Acknowledge NMU, thanks Yaroslav for the FTBFS fix!
  * New upstream release.
    - New build-deps: pkg-config, libsdl2-dev, libsdl2-image-dev,
      libsdl2-mixer-dev, libsdl2-ttf-dev, libgstreamer1.0-dev |
      libgstreamer0.10-dev
    - Drop patches, applied upstream.
  * Add watch file.
  * Change Priority from extra to optional.
  * Update Standards version to 3.9.6.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 02 May 2015 01:25:51 -0700
