=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/tmp

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	@echo "Tests are currently disabled in debian/rules."
