=== debian/changelog ===
kivy (1.9.1-1build3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:43 +0000

kivy (1.9.1-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:46 +0000

kivy (1.9.1-1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 14 May 2017 11:41:56 +0530

kivy (1.9.1-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
    - Drop all patches; applied upstream.
  * Update Standards version to 3.9.8.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 May 2016 19:48:59 -0700
