=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 override_dh_auto_test:
 	@echo "Tests are currently disabled in debian/rules."
+
+override_dh_install:
+	dh_install --list-missing
