=== debian/changelog ===
kivy (1.10.1-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:12 +0100

kivy (1.10.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:41:12 +0000

kivy (1.10.1-1) unstable; urgency=medium

  * Team upload.

  [ Manas Kashyap ]
  * Upstream Release (Closes: #873501)

  [ Vincent Cheng ]
  * Update watch file.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * d/changelog: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Enable all hardening.
  * Bump debhelper compat level to 12.
  * Remove ${python3:Depends} from  python-kivy-examples.
  * Bump standards version to 4.4.0 (no changes).

  [ William Grzybowski ]
  * d/s/options: ignore kivy/version.py written during build

 -- Ondřej Nový <onovy@debian.org>  Sat, 10 Aug 2019 17:28:45 +0200
