=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	@echo "Tests are currently disabled in debian/rules."

override_dh_missing:
	dh_missing --list-missing
