## kivy 1.11.0

=== debian/changelog ===
kivy (1.11.0-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Tue, 09 Jun 2020 18:05:43 -0400

kivy (1.11.0-2) unstable; urgency=medium

  * Team upload.
  * Fix SyntaxWarnings

 -- Scott Talbert <swt@techie.net>  Wed, 20 May 2020 11:51:38 -0400

kivy (1.11.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Scott Talbert ]
  * Update to new upstream release 1.11.0
  * Update Standards-Version to 4.5.0
  * Patch setup.py to increase max Cython version

 -- Scott Talbert <swt@techie.net>  Tue, 19 May 2020 17:29:52 -0400
