=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kivy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Bastian Venthur <venthur@debian.org>,
  Vincent Cheng <vcheng@debian.org>
@@ -18,8 +19,8 @@
  libsdl2-ttf-dev,
  pkg-config,
  python3-all-dev
-Standards-Version: 4.4.0
-Homepage: http://kivy.org
+Standards-Version: 4.5.0
+Homepage: https://kivy.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/kivy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/kivy
