=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_test:
 	@echo "Tests are currently disabled in debian/rules."
