## kivy 2.1.0

=== debian/changelog ===
kivy (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0 (Closes: #1016791)
  * Build-depend on python3-setuptools
  * Build-depend on libpango1.0-dev
  * Update standards version to 4.6.2, no changes needed
  * Update watch version to 4, no changes needed
  * Update / remove obsolete patches and dependencies
  * Do not install test or upstream development files (kivy/tests/
    and much of kivy/tools/)
  * d/watch: Fix pattern to place V.devX before V
  * d/copyright: Upstream changed to Roboto fonts (from Droid)
  * Depend on dejavu and roboto packages rather than bundle fonts

 -- Dean Serenevy <dean@serenevy.net>  Thu, 05 Jan 2023 18:22:34 +0000

kivy (1.11.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Sandro Tosi ]
  * debian/patches/relax-cython-versioned-dep.patch
    - relax cython versioned dependency

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Jun 2022 20:24:07 -0400
