=== debian/control ===
--- 
+++ 
@@ -1,33 +1,38 @@
 Source: kivy
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Bastian Venthur <venthur@debian.org>,
- Vincent Cheng <vcheng@debian.org>
+ Vincent Cheng <vcheng@debian.org>,
+ Dean Serenevy <dean@serenevy.net>
 Build-Depends:
  cython3,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- libgl1-mesa-dev,
- libgles2-mesa-dev,
+ libgl-dev,
+ libgles-dev,
  libgstreamer1.0-dev,
+ libpango1.0-dev,
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  pkg-config,
- python3-all-dev
-Standards-Version: 4.5.0
+ python3-all-dev,
+ python3-setuptools
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://kivy.org
-Vcs-Git: https://salsa.debian.org/python-team/modules/kivy.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/kivy
+Vcs-Git: https://salsa.debian.org/python-team/packages/kivy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/kivy
 
 Package: python3-kivy
 Architecture: any
 Depends:
  python3-gst-1.0,
+ fonts-dejavu-core,
+ fonts-roboto,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
