=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_install:
# These are tests, packaging, and tools useful only to upstream kivy library developers
	rm    debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/changelog_parser.py
	rm    debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/gallery.py
	rm    debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/stub-gl-debug.py
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/gles_compat
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/highlight
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/image-testsuite
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/packaging
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/pep8checker
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/precommit_hooks
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tests

override_dh_auto_test:
	@echo "Tests are currently disabled in debian/rules."
