=== debian/watch ===
# Generated by https://pypi.debian.net/kivy/watch
version=4
opts=uversionmangle=s/\.?(rc|a|b|c|dev)/~$1/ \
https://pypi.debian.net/Kivy/[K|k]ivy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
