## kivy 2.2.1

=== debian/changelog ===
kivy (2.2.1-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:05:17 +1100

kivy (2.2.1-3build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:56:03 +0000

kivy (2.2.1-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:14:48 +0000

kivy (2.2.1-3) unstable; urgency=medium

  * Improve build hygiene to fix ftbfs-source-after-build (Closes: #1046665)
  * Add debian/patches/cython3-support.patch to fix FTBFS with cython 3.0.5
    and python 3.12 (Closes: #1056810)

 -- Dean Serenevy <dean@serenevy.net>  Sun, 10 Dec 2023 10:33:38 +0000

kivy (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 05 Jul 2023 07:16:22 +0000

kivy (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * Build-depend on python3-packaging
  * Remove obsolete patches
  * Recommend xclip | xsel for TextInput (LP: #1898377)
  * Install README.md to doc folder
  * Create elpa-kivy-mode package

 -- Dean Serenevy <dean@serenevy.net>  Mon, 03 Jul 2023 12:27:39 +0000
