=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kivy
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Bastian Venthur <venthur@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
@@ -9,6 +10,7 @@
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
+ dh-elpa,
  dh-python,
  libgl-dev,
  libgles-dev,
@@ -20,6 +22,7 @@
  libsdl2-ttf-dev,
  pkg-config,
  python3-all-dev,
+ python3-packaging,
  python3-setuptools
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -36,6 +39,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
+Recommends: xclip | xsel
 Description: Kivy - Multimedia / Multitouch framework in Python (Python 3)
  Kivy is an open source library for developing multi-touch applications. It is
  completely cross platform (Linux/OSX/Win/Android) and released under the terms
@@ -70,3 +74,26 @@
  source Python libraries out there, with the speed of C code.
  .
  This package includes all examples which can be found in the git repository.
+
+Package: elpa-kivy-mode
+Architecture: all
+Depends: ${elpa:Depends}, ${misc:Depends}
+Recommends: emacs
+Enhances: emacs
+Section: editors
+Description: Emacs major mode for Kivy files
+ Kivy is an open source library for developing multi-touch applications. It is
+ completely cross platform (Linux/OSX/Win/Android) and released under the terms
+ of the MIT license.
+ .
+ It comes with native support for many multi-touch input devices, a growing
+ library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
+ an architecture that is designed to let you focus on building custom and highly
+ interactive applications as quickly and easily as possible.
+ .
+ Kivy is a mixed Python library with Cython code, to take advantage of its
+ highly dynamic nature and use any of the thousands of high quality and open
+ source Python libraries out there, with the speed of C code.
+ .
+ This package provides an Emacs major mode for editing kivy source files.
+ It features syntax highlighting and auto-indentation.
