## kivy 2.3.0

=== debian/changelog ===
kivy (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Remove obsolete patches
  * Fix ftbfs with GCC-14 (Closes: #1075113)
  * rebuild for dh-elpa >=2.1.5 (Closes: #1077114)
  * Update standards version to 4.7.0, no changes needed
  * Replace transitional dep pkg-config with pkgconf
  * Cherry-pick upstream removal of deprecated imghdr

 -- Dean Serenevy <dean@serenevy.net>  Tue, 13 Aug 2024 06:45:06 +0000
